Unit tml05r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FML05R_p, ML05R_p;

function tml05r: String;

implementation

function tml05r: String;
var
P,N,KV,_i :Integer;
EPS :Real;
NB :Array [0..4] of Integer;
NX :Array [0..4] of Integer;
XK :Array [0..4] of Real;
U :Array [0..24] of Real;
ST :Array [0..4] of Real;
const
X :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,-45.0 );
ALFA :Array [0..1] of Real = ( 2.0,3.0 );
NALFA :Array [0..1] of Integer = ( 1,3 );
begin
Result := '';  {   }
N := 4;
KV := 2;
P := 1;
EPS := 0.01;
ML05R(ST,U,5,X,XK,N,NX,P,EPS,
     ALFA,NALFA,KV,FML05R,NB);
Result := Result + Format('%s',[' NALFA=  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%6d ',[NALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%3d ',[P]);
Result := Result + Format('%s',[#$0D#$0A + ' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' NX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%6d ',[NX[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml05r',Result);  {     tml05r.res }
exit;
end;

end.
